//
//  BookAddViewController.m
//  BookWishList
//
//  Created by Marcel Molina Jr on 6/15/08.
//  Copyright 2008 InfoEther. All rights reserved.
//

#import "BookAddViewController.h"


@implementation BookAddViewController
@synthesize textField;
@synthesize delegate;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
	if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
		self.title = @"Add Book";
		UIBarButtonItem *saveButtonItem = [[UIBarButtonItem alloc] initWithTitle:@"Save" 
																		   style:UIBarButtonItemStyleDone 
																		  target:self 
																		  action:@selector(save)];
        self.navigationItem.rightBarButtonItem = saveButtonItem;
        [saveButtonItem release];
	}
	return self;
}

- (void)save {
	[self.delegate bookWasAddedWithTitle:textField.text];
	[self dismissModalViewControllerAnimated:YES];
}

/*
 Implement loadView if you want to create a view hierarchy programmatically
- (void)loadView {
}
 */

/*
 If you need to do additional setup after loading the view, override viewDidLoad.
- (void)viewDidLoad {
}
 */


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
	[super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
	// Release anything that's not essential, such as cached data
}


- (void)dealloc {
	[textField release];
	[super dealloc];
}


@end
