//
//  FlipsideViewController.h
//  FlippingPrefereableClock
//
//  Created by Chris Adamson on 6/14/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//



@protocol FlipsideViewControllerDelegate;


@interface FlipsideViewController : UIViewController  <UIPickerViewDataSource, UIPickerViewDelegate> {
	id <FlipsideViewControllerDelegate> delegate;
	
	
	NSArray *timeZoneNames;
	UISwitch *twentyFourHourSwitch;
	UIPickerView *timeZonePicker;
	
}

@property (nonatomic, assign) id <FlipsideViewControllerDelegate> delegate;
- (IBAction)done;

@property (nonatomic, retain) IBOutlet UISwitch *twentyFourHourSwitch;
@property (nonatomic, retain) IBOutlet UIPickerView *timeZonePicker;


-(NSString*) selectedTimeZone;
-(BOOL) uses24Hour;


@end


@protocol FlipsideViewControllerDelegate
- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller;
@end

