//
//  MainViewController.h
//  FlippingPrefereableClock
//
//  Created by Chris Adamson on 6/14/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import "FlipsideViewController.h"

//START:code.MainViewController.prefkeys
#define TWENTY_FOUR_HOUR_PREF_KEY @"24HourDisplay"
#define TIME_ZONE_PREF_KEY @"TimeZone"
#define DEFAULT_TWENTY_FOUR_HOUR_PREF @"NO"
#define DEFAULT_TIME_ZONE_PREF @"America/Detroit"

@interface MainViewController : UIViewController <FlipsideViewControllerDelegate> {
	
	NSMutableDictionary *clockPrefs; 
	NSString *prefsFilePath; 
//END:code.MainViewController.prefkeys
	
	UILabel *timeLabel;
	UILabel *timeZoneLabel;

	NSString *timeZoneName;
	NSDateFormatter *clockFormatter;

	NSTimer *clockViewUpdateTimer;
	
}

@property (nonatomic, retain) IBOutlet UILabel *timeLabel;
@property (nonatomic, retain) IBOutlet UILabel *timeZoneLabel;
@property (nonatomic, retain) NSMutableDictionary *clockPrefs;

- (IBAction)showInfo;
- (void) savePrefs;

@end
