//
//  CGImageView.m
//  CGImage
//
//  Created by Bill Dudney on 12/12/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//

#import "CGImageView.h"


@implementation CGImageView


- (id)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        // Initialization code
    }
    return self;
}


//START:code.drawing.cgimage.drawRect:
- (void)drawRect:(CGRect)rect {
  UIImage *image = [UIImage imageNamed:@"photo.png"];
  CGFloat idealSize = 300.0f;
  CGFloat ratio = 1.0f;
  CGFloat heightRatio = idealSize / image.size.height;
  CGFloat widthRatio = idealSize / image.size.width;  
  if(heightRatio < widthRatio) {
    ratio = heightRatio;
  } else {
    ratio = widthRatio;
  }
  // use -10 as the y origin because we are flipping the coordinate system
  CGRect imageRect = CGRectMake(10.0f, -10.0f, image.size.width * ratio, 
                                image.size.height * ratio);
  CGContextRef ctx = UIGraphicsGetCurrentContext();
  // flip the coordinate system
  CGContextScaleCTM(ctx, 1.0f, -1.0f);
  // move down the height of the image
  CGContextTranslateCTM(ctx, 0.0f, -image.size.height * ratio);
  CGContextDrawImage(ctx, imageRect, image.CGImage);
}
//END:code.drawing.cgimage.drawRect:

- (void)dealloc {
    [super dealloc];
}


@end
