//
//  EncodingSettingsViewController.h
//  AudioRecorderPlayer
//
//  Created by Chris Adamson on 5/17/09.
//  Copyright 2009 Subsequently and Furthermore, Inc.. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>
@class RecordViewController;

//START:code.RecordViewController.encodingsettingsviewcontroller.encodedformatenum
enum ENCODED_FORMAT_SEGMENT_VALUES {
	ENCODED_FORMAT_AAC = 0,
	ENCODED_FORMAT_ALAC,
	ENCODED_FORMAT_IMA4,
	ENCODED_FORMAT_ILBC,
	ENCODED_FORMAT_ULAW
};
//END:code.RecordViewController.encodingsettingsviewcontroller.encodedformatenum

@interface EncodingSettingsViewController : UIViewController {

	UISegmentedControl *formatSegments;
	UITextField *sampleRateField;
	UISwitch *stereoSwitch;
	UISegmentedControl *qualitySegments;
	UITextField *encoderBitrateField;
	UITextField *encoderBitHint;

	RecordViewController *recController;
	
}
-(IBAction) handleDoneTapped;

@property (nonatomic, retain) IBOutlet UISegmentedControl *formatSegments;
@property (nonatomic, retain) IBOutlet UITextField *sampleRateField;
@property (nonatomic, retain) IBOutlet UISwitch *stereoSwitch;
@property (nonatomic, retain) IBOutlet UISegmentedControl *qualitySegments;
@property (nonatomic, retain) IBOutlet UITextField *encoderBitrateField;
@property (nonatomic, retain) IBOutlet UITextField *encoderBitHint;
@property (nonatomic, retain) IBOutlet RecordViewController *recController;

@end
