//
//  PlayViewController.h
//  AudioRecorderPlayer
//
//  Created by Chris Adamson on 5/17/09.
//  Copyright 2009 Subsequently and Furthermore, Inc.. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>
#import <AVFoundation/AVFoundation.h>
#import "LevelMeterView.h"

// todo: tell readers to change class of this VC in MainWindow.xib

@interface PlayViewController : UIViewController <UIPickerViewDelegate,
		UIPickerViewDataSource, AVAudioPlayerDelegate> {
	UIPickerView *filePicker;
	UIButton *playPauseButton;
	UIButton *stopButton;
	UILabel *currentTimeLabel;
	UISlider *currentTimeSlider;
	UILabel *durationLabel;
	LevelMeterView *leftLevelMeter;
	UILabel *rightLevelLabel;
	LevelMeterView *rightLevelMeter; 
	UISlider *volumeSlider;

	NSString *_documentsPath;
	NSArray *filenames;
	NSTimer *currentTimeUpdateTimer;
	AVAudioPlayer *audioPlayer;
	BOOL isCurrentTimeScrubbing;
}

-(IBAction) handlePlayPauseTapped;
-(IBAction) handleStopTapped;
-(IBAction) handleCurrentTimeScrubberTouchDown;
-(IBAction) handleCurrentTimeScrubberTouchUp;
-(IBAction) handleCurrentTimeScrub;
-(IBAction) handleVolumeScrub;

@property (nonatomic, retain) IBOutlet UIPickerView *filePicker;
@property (nonatomic, retain) IBOutlet UIButton *playPauseButton;
@property (nonatomic, retain) IBOutlet UIButton *stopButton;
@property (nonatomic, retain) IBOutlet UILabel *currentTimeLabel;
@property (nonatomic, retain) IBOutlet UISlider *currentTimeSlider;
@property (nonatomic, retain) IBOutlet UILabel *durationLabel;
@property (nonatomic, retain) IBOutlet LevelMeterView *leftLevelMeter;
@property (nonatomic, retain) IBOutlet UILabel *rightLevelLabel;
@property (nonatomic, retain) IBOutlet LevelMeterView *rightLevelMeter; 
@property (nonatomic, retain) IBOutlet UISlider *volumeSlider;


@end
