//
//  FirstViewController.h
//  AudioRecorderPlayer
//
//  Created by Chris Adamson on 5/17/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>
#import <AVFoundation/AVFoundation.h> // todo: mention this import
#import <CoreAudio/CoreAudioTypes.h> // todo: mention this import
#import "PCMSettingsViewController.h"
#import "EncodingSettingsViewController.h"
#import "LevelMeterView.h"

// originally @interface FirstViewController : UIViewController
@interface RecordViewController : UIViewController <UITextFieldDelegate, AVAudioRecorderDelegate> {

	UITextField *filenameField;
	UISegmentedControl *formatSegments;
	UIButton *formatButton;
	UILabel *currentTimeLabel;
	UIButton *recordPauseButton;
	UIButton *stopButton;
	UILabel *leftLevelLabel;
	LevelMeterView *leftLevelMeter;
	UILabel *rightLevelLabel;
	LevelMeterView *rightLevelMeter; 
	
	PCMSettingsViewController *pcmSettingsViewController;
	EncodingSettingsViewController *encodingSettingsViewController;
	
	NSString *_documentsPath;
	NSTimer *currentTimeUpdateTimer;
	AVAudioRecorder *audioRecorder;
}

@property (nonatomic, retain) IBOutlet UITextField *filenameField;
@property (nonatomic, retain) IBOutlet UISegmentedControl *formatSegments;
@property (nonatomic, retain) IBOutlet UIButton *formatButton;
@property (nonatomic, retain) IBOutlet UILabel *currentTimeLabel;
@property (nonatomic, retain) IBOutlet UIButton *recordPauseButton;
@property (nonatomic, retain) IBOutlet UIButton *stopButton;
@property (nonatomic, retain) IBOutlet UILabel *leftLevelLabel;
@property (nonatomic, retain) IBOutlet LevelMeterView *leftLevelMeter;
@property (nonatomic, retain) IBOutlet UILabel *rightLevelLabel;
@property (nonatomic, retain) IBOutlet LevelMeterView *rightLevelMeter; 

@property (nonatomic, retain) IBOutlet PCMSettingsViewController *pcmSettingsViewController;
@property (nonatomic, retain) IBOutlet EncodingSettingsViewController *encodingSettingsViewController;

// remember to note that recordviewcontroller is delegate for filenameField

-(IBAction) handleFormatButtonTapped;
-(IBAction) handleFormatSegmentChange;
-(IBAction) handleRecordPauseTapped;
-(IBAction) handleStopTapped;
-(NSError*) createAVAudioRecorder;

@end
