//
//  ByAreaViewController.m
//  States
//
//  Created by Bill Dudney on 7/24/08.
//  Copyright 2008 Gala Factory. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//

#import "ByAreaViewController.h"
#import "StatesAppDelegate.h"

@implementation ByAreaViewController

- (NSArray *)states {
    return [(StatesAppDelegate *)[[UIApplication sharedApplication] delegate] statesByArea];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if(nil == cell) {
      cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault
                                     reuseIdentifier:CellIdentifier] autorelease];
    }
    cell.textLabel.text = [[self.states objectAtIndex:indexPath.row] valueForKey:@"name"];
    return cell;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return self.states.count;
}

@end
